Ergebnis 1 bis 4 von 4

Thema: Update von 1.5.2 auf 1.5.5f - Meldung

  1. #1
    Padawan Stufe VIII Avatar von klartexter
    Registriert seit
    19.02.2006
    Ort
    Augsburg
    Beiträge
    1.272
    Themen
    85
    DANKE
    46
    Erhaltene Danke: 114

    Standard Update von 1.5.2 auf 1.5.5f - Meldung

    Ich soll für einen Bekannten dessen Shop von 1.5.2 auf die aktuelle Version updaten. Also habe ich mal die aktuelle Version auf einen Testserver geladen, und die Datenbank vom Liveshop kopiert und auf eine Datenbank beim Testserver kopiert. Danach habe ich die zc_install aufgerufen und Update gewählt. Dann kamm diese Meldung:

    Konnte nicht auf Version 1.5.5 aktualisieren. Wir haben festgestellt, dass Sie derzeit Version 1.5.3 verwenden. Sie müssen erst die Updates durchführen um auf Version 1.5.4 zu kommen.
    dbzc.png

    Die Doku hilft mir da auch nicht viel weiter, mir geht es ja hauptsächlich um die Aktualisierung der Datenbank. Denn der Shop selbst soll mit dem Responsive Classic neu aufgesetzt werden, da das alte Template nicht mehr zeitgemäß ist. Wo liegt mein Denkfehler?
    Immer mit der Ruhe - ich komme noch früh genug zu spät!

  2. #2
    Padawan Stufe VIII Avatar von klartexter
    Registriert seit
    19.02.2006
    Ort
    Augsburg
    Beiträge
    1.272
    Themen
    85
    DANKE
    46
    Erhaltene Danke: 114
    Erstellt von

    Standard

    db2.jpg

    Nach dieser Meldung geht es nicht mehr weiter. Eigentlich sollte aber doch die Datenbank mit dem Installationstool aktualisiert werden können, zudem widersprechen sich doch auch die Meldungen. Denn einerseits wird mir angezeigt, dass auf Version 1.54 upgedatet wurde, andererseits heißt es, dass ich Version 1.53 benutze? Ich würde ja gerne updaten, aber der Button Weiter reagiert bei dieser Seitenanzeige nicht mehr. Und natürlich sind die erforderlichen Felder mit den notwendigen Angaben ausgefüllt. Die Serverinfo im Admin zeigt mir das an:

    Ihre Datenbank scheint einen Patch zu benötigen. Siehe auch Tools->Server Information um die Patchlevels zu betrachten.

    v1.5.4 [2019-01-07 14:47:56] (Version Update 1.5.3->1.5.4)
    v1.5.3 [2014-08-16 18:44:06] (New Installation)
    v1.5.3 [2014-08-16 18:44:06] (Neue Installation)
    Und nun?
    Immer mit der Ruhe - ich komme noch früh genug zu spät!

  3. #3
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.710
    Themen
    88
    DANKE
    3
    Erhaltene Danke: 1.167

    Standard

    1.5.2 wurde nie veröffentlicht, es wäre interessant zu wissen, von welcher Version hier wirklich aktualisiert wird.

    Es wurden nicht alle Aktualisierungsschritte durchlaufen. Im Ordner Logs sollten dazu detaillierte Infos zu finden sein.
    Am besten alle Logs im Ordner logs löschen.
    Dann nochmal den SQL Dump des alten Shops einspielen und zc_install erneut ausführen
    Dann im Ordner logs die zc_install Logs anschauen, sie zeigen, warum wo abgebrochen wird.
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  4. #4
    Padawan Stufe VIII Avatar von klartexter
    Registriert seit
    19.02.2006
    Ort
    Augsburg
    Beiträge
    1.272
    Themen
    85
    DANKE
    46
    Erhaltene Danke: 114
    Erstellt von

    Standard

    Zitat Zitat von webchills Beitrag anzeigen
    1.5.2 wurde nie veröffentlicht, es wäre interessant zu wissen, von welcher Version hier wirklich aktualisiert wird.

    Es wurden nicht alle Aktualisierungsschritte durchlaufen. Im Ordner Logs sollten dazu detaillierte Infos zu finden sein.
    Am besten alle Logs im Ordner logs löschen.
    Dann nochmal den SQL Dump des alten Shops einspielen und zc_install erneut ausführen
    Dann im Ordner logs die zc_install Logs anschauen, sie zeigen, warum wo abgebrochen wird.
    zcv.png

    zcv2.png

    Ich habe alle Daten in der Datenbank gelöscht und den SQL-Dump nochmal aufgespielt. Ergebnis ist das selbe wie im Eingangsbeitrag beschrieben. Insgesamt gibt es 7 Log-Files nach dem Aufruf von ZC_Install. Soweit bei den einzelnen Punkten PASSED steht, dürfte wohl alles stimmen.

    Die Meldungen:
    Jan 08 2019 18:15 -- upgradeException
    INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES Kann configuration_key "" nicht einfügen, da er bereits existiert /var/www/virtual/xxxx/html/zc_install/sql/updates/mysql_upgrade_zencart_154.sql
    Code:
    Jan 08 2019 18:14 -- checkPhpVersion
    FAILED
    (
        [version] => 7.0.0
        [versionTest] => ge
    )
    checkHtaccessSupport
    FAILED
    Version detected in database_upgrade/header_php.php 1.5.3
    Die Zen Cart Version stammt von hier, warum sie die Version 1.5.2 anzeigt weiß ich nicht. Ich habe den Shop damals selbst erstellt auf der Basis der damaligen Grundversion, die seinerzeit hier zum Download stand. Deshalb rechnete ich auch mit keinen Problemen beim Upgrade. Ich werde mal den SQL-Dump mit einer SQL bei einer Neuinstallation mergen, ist zwar umständlicher, aber dann kann ich im Anschluss die Originaldaten entsprechend anpassen.
    Immer mit der Ruhe - ich komme noch früh genug zu spät!

Ähnliche Themen

  1. (Zen-Cart 1.5.5) Lagerbestand- Warenkorb-Meldung
    Von buschmann im Forum Generelle Fragen
    Antworten: 3
    Letzter Beitrag: 05.09.2017, 16:19
  2. bekomme diese meldung
    Von jovandeik im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 2
    Letzter Beitrag: 08.10.2010, 10:36
  3. Fehler Meldung auf der Startseite
    Von sebastian008 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 5
    Letzter Beitrag: 16.04.2010, 11:25
  4. Meldung forbidden
    Von marcellino im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 3
    Letzter Beitrag: 12.10.2005, 00:13
  5. Meldung im Shop: EMAIL_ADVISORY_INCLUDED_WARNING
    Von kasiel im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 4
    Letzter Beitrag: 27.09.2004, 13:56

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.
Die amerikanische Zen-Cart Version berücksichtigt viele rechtliche Erfordernisse nicht, denen ein Onlineshop im deutschsprachigen Raum unterworfen ist. Daher wurde die deutsche Zen-Cart Version auf die Anforderungen, die an Onlineshops in Deutschland, Österreich und der Schweiz gestellt werden, angepasst.

Die deutsche Zen-Cart Version bietet außerdem einen multilingualen Adminbereich. Dadurch sind auch die in der Datenbank hinterlegten Konfigurationseinstellungen und -beschreibungen auf deutsch. Diese Funktionalität steht natürlich auch für später installierte Erweiterungen zur Verfügung. Die im Downloadbereich von zen-cart-pro.at angebotenen Module berücksichtigen diese Multilanguagefähigkeit und sind alle für die deutsche Zen-Cart Version ausgelegt. Zahlreiche häufig genutzte Erweiterungen sind bereits vorinstalliert.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5f deutsch
Revision 1242 vom 27.10.2018
[Download]

unterstützen
Unterstütze die Weiterentwicklung der deutschen Zen Cart Version mit einer Spende!

Spende für die Weiterentwicklung der deutschen Zen Cart Version